Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

Wszystko na temat instalacji oprogramowania KQS.store oraz aktualizacji skryptu do najnowszej wersji. Dowiesz się także co nowego pojawiło się w sklepie KQS oraz znajdziesz pełną listę zmian które weszły w nowej wersji.

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez areczek » 2016 wrz 14, Śr 23:17

Nowe instalki KQS działają już z funkcjami dostępnymi od wersji 5.4 (stąd wymagania minimalnego PHPa w tej wersji) ... ale producent musi mieć na uwadze, że starsze sklepy mogą jeszcze pracować na niższych PHPach więc aby nie posypały się sklepy to daje paczkę update i dla nich.

Według mnie KQS od wersji PHPa 5.4 wykorzystują nowsze/lepsze funkcje i system ma lepsza wydajność.
Avatar użytkownika
 
Posty: 329
Dołączył(a): 2009 lip 07, Wt 18:33
Lokalizacja: Lubelskie
Podziękował : 0 razy
Otrzymał podziękowań: 10 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez areczek » 2016 wrz 14, Śr 23:19

~tofif ... ale PHP nie ma nic do aktualizacji bazy - może miałeś baze na mysql niższym niż zalecany na stronie producenta?
Avatar użytkownika
 
Posty: 329
Dołączył(a): 2009 lip 07, Wt 18:33
Lokalizacja: Lubelskie
Podziękował : 0 razy
Otrzymał podziękowań: 10 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez tofif » 2016 wrz 14, Śr 23:24

a tego nie wiem, nie pamiętam, wiem że na serwie był ustawiony pehap 5.5 a ja wrzuciłem pliki z _5.4 i mi się posypał sklep
Avatar użytkownika
 
Posty: 1279
Dołączył(a): 2008 kwi 28, Pn 23:03
Lokalizacja: Warszawa
Podziękował : 1 razy
Otrzymał podziękowań: 4 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 23:25

tofif napisał(a):Jak napisałem już aktualizuje tylko plikiem bez _5.4 od wersji 5.5 na serwerze. Jak miałem wersje 5.5 a zaktualizowałem plikiem z _5.4 to mi się baza posypała.


A ja jak napisałem już wcześniej w wersji roboczej na której tworzona jest przebudowa na RWD zastosowałem tylko pliki z _php54. Serwer z PHP 5.6.17
Nic się nie posypało

Sam sklep zaś pracuje na serwerze pod kontrolą PHP 5.3.xx , aktualizacje przeprowadzane plikami bez _php54

Dlatego próbuję ustalić ostatecznie i z całą pewnością która paczka jest do czego
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez areczek » 2016 wrz 14, Śr 23:27

Jak ci się baza sypnęła to nie z winy PHPa ... albo miałeś starszą wersję MySQL'a albo (co bardziej prawdopodobne) po prostu coś się wysypało podczas przetwarzania bazy (błędne zapytanie lub nie obsługiwane)
Avatar użytkownika
 
Posty: 329
Dołączył(a): 2009 lip 07, Wt 18:33
Lokalizacja: Lubelskie
Podziękował : 0 razy
Otrzymał podziękowań: 10 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez areczek » 2016 wrz 14, Śr 23:29

~~diversio ... właśnie odpowiedziałeś sobie na tak nurtujące Cię pytanie ;) (na nowszych czyli PHP >= 5.4 możesz używać aktualizacji dla phpa 5.4 a na starszych wersjach drugą paczkę). Po za tym ... czasem coś się wywali i nie ważne która paczką na czym aktualizujesz :roll:
Avatar użytkownika
 
Posty: 329
Dołączył(a): 2009 lip 07, Wt 18:33
Lokalizacja: Lubelskie
Podziękował : 0 razy
Otrzymał podziękowań: 10 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 23:30

areczek napisał(a):Nowe instalki KQS działają już z funkcjami dostępnymi od wersji 5.4 (stąd wymagania minimalnego PHPa w tej wersji) ... ale producent musi mieć na uwadze, że starsze sklepy mogą jeszcze pracować na niższych PHPach więc aby nie posypały się sklepy to daje paczkę update i dla nich.

Według mnie KQS od wersji PHPa 5.4 wykorzystują nowsze/lepsze funkcje i system ma lepsza wydajność.


Tylko że instalki są również w dwóch wersjach
KQS.store_4.3
KQS.store_4.3_php54
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 23:32

areczek napisał(a):~~diversio ... właśnie odpowiedziałeś sobie na tak nurtujące Cię pytanie ;) (na nowszych czyli PHP >= 5.4 możesz używać aktualizacji dla phpa 5.4 a na starszych wersjach drugą paczkę). Po za tym ... czasem coś się wywali i nie ważne która paczką na czym aktualizujesz :roll:


Tak myślałem od początku.
Dopóki nie przeczytałem aktualnych wymagań ... I zacząłem się zastanawiać
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 23:35

Mimo wszystko nadal się zastanawiam skąd taki rozrzut w odpowiedziach.
No i ta niespójność informacyjna - strona KQS, e-mail i pdf
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Poprzednia stronaNastępna strona

Użytkownicy przeglądający ten dział: Google [Bot] i 2 gości
cron